View Issue Details

IDProjectCategoryView StatusLast Update
0000204Far Manager 1.7xCommand Line/Executepublic2007-07-16 16:07
ReporterZuzAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000204: Не всегда запускается проводник на папке по Shift-Enter
DescriptionСправка FAR: "Shift-Enter для папки вызывает Проводник с показом содержимого выбранной папки".

Имеем:
C:\test>dir

29.06.2006 09:29 <DIR> .
29.06.2006 09:29 <DIR> ..
29.06.2006 09:28 <DIR> z
29.06.2006 09:29 21 z.js

Нажимаем в FAR'e Shift-Enter на директории "z" и вместо проводника с папкой запускается "z.js" (или любой другой файл имя у которого совпадает с папкой, а расширение из PATHEXT).

Хотелось бы поведения по Shift-Enter как указано в справке, а в командной строке так как с cmd.exe (сейчас и там и там всё одно).

P.S. Видимо простейшим решением будет для каталогов добавлять обратный слешь.
Additional InformationThe FAR manager, version 1.71 alpha 1 (build 2104), WXPSP2, W98+
Репорт взят из fido7.far.support, сообщил Nikita Hohlachev.
TagsNo tags attached.
Build

Activities

vskirdin

2006-06-29 10:33

administrator   bugnote:0000215

после 2112

DrKnS

2006-06-30 07:29

administrator   bugnote:0000216

билд 2112.
Одно починили, другое сломали:
если зайти в сабжевый каталог и нажать ShiftEnter на ".." , то запустится не проводник с каталогом, а сабж.

vskirdin

2006-06-30 08:23

administrator   bugnote:0000217

не сломали, а недоделали :-)
после 2113

alexy

2006-06-30 10:26

administrator   bugnote:0000218

Хе, хе. Осталось видимо ещё тока . ShiftEnter с ком строки, оно тоже запускает батник.

Zuz

2006-07-03 00:27

developer   bugnote:0000219

Странно, но у меня во всех описанных случаях (включая ноты) на:
http://www.farmanager.com/files/Far171a2b2112.rar
нормально всё.

alexy

2006-07-03 02:34

administrator   bugnote:0000220

Zuz - надо чтоб батник был уровнем выше. Т.е. в твоем случае надо зайти в папку z.

vskirdin

2006-07-03 08:50

administrator   bugnote:0000221

Уф. Утомили :-)
см. после 2114

Issue History

Date Modified Username Field Change
2006-06-29 00:44 Zuz New Issue
2006-06-29 00:44 Zuz Status new => assigned
2006-06-29 00:44 Zuz Assigned To => alexy
2006-06-29 10:31 vskirdin Assigned To alexy => vskirdin
2006-06-29 10:33 vskirdin Status assigned => resolved
2006-06-29 10:33 vskirdin Fixed in Version => 1.71
2006-06-29 10:33 vskirdin Resolution open => fixed
2006-06-29 10:33 vskirdin Note Added: 0000215
2006-06-30 07:29 DrKnS Status resolved => feedback
2006-06-30 07:29 DrKnS Resolution fixed => reopened
2006-06-30 07:29 DrKnS Note Added: 0000216
2006-06-30 08:23 vskirdin Status feedback => resolved
2006-06-30 08:23 vskirdin Resolution reopened => fixed
2006-06-30 08:23 vskirdin Note Added: 0000217
2006-06-30 10:26 alexy Status resolved => feedback
2006-06-30 10:26 alexy Resolution fixed => reopened
2006-06-30 10:26 alexy Note Added: 0000218
2006-07-03 00:27 Zuz Note Added: 0000219
2006-07-03 02:34 alexy Note Added: 0000220
2006-07-03 08:50 vskirdin Status feedback => resolved
2006-07-03 08:50 vskirdin Resolution reopened => fixed
2006-07-03 08:50 vskirdin Note Added: 0000221
2007-07-16 16:07 alexy Status resolved => closed